> For the complete documentation index, see [llms.txt](https://docs.octusbridge.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/ethereum/strategies-section/convex3crv.md).

# Convex3crv

#### **`_approveBasic`**

Menetapkan akses tak terbatas untuk kurva dan booster ke wrapped token dan token IERC20.

```
function _approveBasic() internal override
```

#### **`_approveDex`**

Menetapkan akses tak terbatas untuk token dex ke kurva dan cembung.

```
function _approveDex() internal override
```

#### **`calc_wrapped_from_want`**

Menghitung jumlah token yang diinginkan setelah dibungkus.

```
function calc_wrapped_from_want(uint256 want_amount) public view override returns (uint256)
```

**Parameter:**

| Nama         | Jenis   | Deskripsi                    |
| ------------ | ------- | ---------------------------- |
| want\_amount | uint256 | Jumlah token yang diinginkan |

**Nilai hasil:**

| Jenis   | Deskripsi                                       |
| ------- | ----------------------------------------------- |
| uint256 | Jumlah token yang dibungkus setelah perhitungan |

#### **`wrap`**

Membungkus token dan menambahkannya ke Curve.

```
function wrap(uint256 want_amount) internal override returns (uint256 expected_return)
```

**Parameter:**

| Nama         | Jenis   | Deskripsi                    |
| ------------ | ------- | ---------------------------- |
| want\_amount | uint256 | Jumlah token yang diinginkan |

**Nilai hasil:**

| Nama             | Jenis   | Deskripsi                      |
| ---------------- | ------- | ------------------------------ |
| expected\_return | uint256 | Jumlah token setelah dibungkus |

#### **`prepareReturn`**

Memeriksa apakah jumlah token cembung dan kurva lebih besar dari 0, jika demikian di dex menukar token crv dan cvx yang tepat ke token, memeriksa apakah jumlah dai, usdt, dan usdc lebih besar dari 0, jika ya, menambah likuiditas ke kumpulan kurva. Menghitung untung, rugi, dan jumlah debtPayment dan mengembalikannya.

```
function prepareReturn(uint256 _debtOutstanding) internal override returns(uint256 _profit, uint256 _loss, uint256 _debtPayment)
```

**Parameter:**

| Nama              | Jenis   | Deskripsi    |
| ----------------- | ------- | ------------ |
| \_debtOutstanding | uint256 | Nilai hutang |

**Nilai hasil:**

| Nama          | Jenis   | Deskripsi                           |
| ------------- | ------- | ----------------------------------- |
| \_profit      | uint256 | Jumlah keuntungan yang diperoleh    |
| \_loss        | uint256 | Jumlah kerugian                     |
| \_debtPayment | uint256 | Jumlah hutang yang harus dibayarkan |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.octusbridge.io/ob-id/integrate/octus-bridge-contracts/ethereum/strategies-section/convex3crv.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
